Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160564 - nvidia gforce 4 mx not detected correctly
Summary: nvidia gforce 4 mx not detected correctly
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: hwdata
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 20:07 UTC by John Mizell
Modified: 2014-03-17 02:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-03 18:03:48 UTC


Attachments (Terms of Use)

Description John Mizell 2005-06-15 20:07:27 UTC
Description of problem:

Nvidia gforce 4 mx agp card not detected correctly.

Version-Release number of selected component (if applicable):


How reproducible:

Everytime
Steps to Reproduce:
1.Install Fedora Core 4
2.At video card and monitor setup look at settings for first boot screen.
3.
  
Actual results:
detected card as Nvidia Geforce 4 (Generic)
Expected results:
Should detect card as Nvidia Geforce 4 MX (Generic)

Additional info: 
lspci -vv gives the following for this card:
01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 420 Go 32M]
(rev a3) (prog-if 00 [VGA])
        Subsystem: Hewlett-Packard Company: Unknown device 006d
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (1250ns min, 250ns max)
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at e2000000 (32-bit, non-prefetchable) [size=16M]
        Region 1: Memory at f0000000 (32-bit, prefetchable) [size=128M]
        Region 2: Memory at f8000000 (32-bit, prefetchable) [size=512K]
        Capabilities: [60] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [44] AGP version 2.0
                Status: RQ=32 Iso- ArqSz=0 Cal=0 SBA- ITACoh- GART64- HTrans-
64bit- FW+ AGP3- Rate=x1,x2,x4
                Command: RQ=1 ArqSz=0 Cal=0 SBA- AGP- GART64- 64bit- FW- Rate=<none>

Comment 1 Bill Nottingham 2005-10-03 18:03:48 UTC
1) What is says there does not change the driver used, or any other relevant
details for X configuration.
2) This code is changed in rawhide such that mapping is done directly to the X
driver used, so it won't state something like this any more in any case.


Note You need to log in before you can comment on or make changes to this bug.